changeset 504:1b863525992d

icargo: hacky tool to auto-run cargo for me
author Augie Fackler <raf@durin42.com>
date Sat, 24 Oct 2020 23:59:13 -0400
parents 55aa151f3567
children b78aa03c0c00
files unixSoft/bin/icargo
diffstat 1 files changed, 12 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/unixSoft/bin/icargo
@@ -0,0 +1,12 @@
+#!/usr/bin/env zsh
+if [ -z "$1" ] ; then
+  echo 'usage: icargo [verb]'
+  exit 1
+fi
+caretaker  -w <(cat <<"EOF"
+[[watch]]
+name = "cargo $1"
+path = "src/**/[!.]*.rs"
+command = "sh -c \"clear; cargo test $@\""
+EOF
+)